#ifndef EXCEPTIONS_HEADER
#define EXCEPTIONS_HEADER

class InvalidPositionException : public std::exception
{
	virtual const char * what() const throw()
	{
		return "Somebody tried to get/set something in a nonexistent position.";
	}
};

class TargetInexistentException : public std::exception
{
	virtual const char * what() const throw()
	{
		return "Somebody tried to refer to something that doesn't exist.";
	}
};

class NullPointerException : public std::exception
{
	virtual const char * what() const throw()
	{
		return "NullPointerException";
	}
};

#endif

