/*
(c) 2010 Perttu Ahola <celeron55@gmail.com>
*/

#ifndef PLAYER_HEADER
#define PLAYER_HEADER

#include <irrlicht.h>

using namespace irr;
typedef core::vector3df v3f;
typedef core::vector3d<s16> v3s16;

class Map;

/*
	TODO: Make this a scene::ISceneNode
*/

struct Player
{
	v3f position;
	v3f speed;
	bool touching_ground;
	u16 peer_id;
	bool is_local;
	float timeout_counter;

	Player(bool a_is_local);
	void move(f32 dtime, Map &map);
	
};

#endif

