/*
(c) 2010 Perttu Ahola <celeron55@gmail.com>
*/

#ifndef PLAYER_HEADER
#define PLAYER_HEADER

#include <irrlicht.h>

using namespace irr;
typedef core::vector3df v3f;
typedef core::vector3d<s16> v3s16;

class Map;

class Player
{
public:
	v3f position;
	v3f speed;
	bool touching_ground;

	Player()
		: position(0,0,0), speed(0,0,0), touching_ground(false)
	{
		
	}

	void move(f32 dtime, Map &map);
	
};

#endif

