/*
(c) 2010 Perttu Ahola <celeron55@gmail.com>
*/

#ifndef MAIN_HEADER
#define MAIN_HEADER

#include <string>
extern std::string getTimestamp();
#define DTIME (getTimestamp()+": ")

#include <jmutex.h>

extern JMutex g_range_mutex;
extern s16 g_fetch_range_nodes;
extern s16 g_viewing_range_nodes;
extern bool g_viewing_range_all;

#include <fstream>

// Debug streams
extern std::ostream *dout_con_ptr;
extern std::ostream *dout_client_ptr;
extern std::ostream *dout_server_ptr;

#define dout_con (*dout_con_ptr)
#define dout_client (*dout_client_ptr)
#define dout_server (*dout_server_ptr)

// TODO: Move somewhere else? materials.h?
// This is only for MATERIALS_COUNT
#include "mapnode.h"
extern video::SMaterial g_materials[MATERIALS_COUNT];

#endif

