#!/bin/sh

TEMPPATH=`pwd`../minetest_backup_temp

if [ -d "$TEMPPATH" ]; then
	echo $TEMPPATH already exists, cancelling
	exit
fi

#rm -rf $TEMPPATH || exit
mkdir -p $TEMPPATH || exit
mkdir -p $TEMPPATH/obj || exit
mkdir -p $TEMPPATH/bin || exit
mv src/*.o $TEMPPATH/obj/
mv Debug Release $TEMPPATH/
mv bin/* $TEMPPATH/bin/
mv map $TEMPPATH/
cd ..
backupfast.sh minetest $@
cd minetest
mv $TEMPPATH/{Debug,Release,map} .
mv $TEMPPATH/obj/* src/
mv $TEMPPATH/bin/* bin/

rm -rf $TEMPPATH

